org.eclipse.modisco.infra.discovery.core.annotations

## Annotation Type ParameterInitialValue

    @Documented
     @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface ParameterInitialValue

This annotation is used to define a getter method that returns an initial value for a `Parameter`.

### Required Element Summary

Required Elements
`java.lang.String` `name`

### Element Detail

#### name

    public abstract java.lang.String name

Returns:
  the identifier of the discoverer `Parameter` for which the associated method provides an initial value.